Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past
Class ContentHashPastContentHandle

    java.lang.Object
      rice.p2p.past.ContentHashPastContentHandle

All Implemented Interfaces:
  PastContentHandle, java.io.Serializable

public class ContentHashPastContentHandle
extends java.lang.Object
implements PastContentHandle

Version:
  $Id: ContentHashPastContentHandle.java,v 1.6 2005/03/11 00:58:03 jeffh Exp $
Author:
  Peter Druschel
See Also:
  Serialized Form

Constructor Summary
`ContentHashPastContentHandle(NodeHandle nh, Id id)` Constructor

Method Summary
`Id` | `getId()` Returns the id of the PastContent object associated with this handle
`NodeHandle` | `getNodeHandle()` Returns the NodeHandle of the Past node on which the object associated with this handle is stored

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentHashPastContentHandle

    public ContentHashPastContentHandle(NodeHandle nh,
                                        Id id)

  Constructor

Parameters:
  `nh` - The handle of the node which holds the object
  `id` - key identifying the object to be inserted

Method Detail

### getId

    public Id getId()

  Returns the id of the PastContent object associated with this handle

  Specified by:
    `getId` in interface `PastContentHandle`
  Returns:
    the id

### getNodeHandle

    public NodeHandle getNodeHandle()

  Returns the NodeHandle of the Past node on which the object associated with this handle is stored

  Specified by:
    `getNodeHandle` in interface `PastContentHandle`
  Returns:
    the id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.